Skip to content

Trigger a prompt now on the device (response sent via MQTT)​

GET
/devices/{id}/queueRtkCmd_AlertWithPrompt

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

alertValue*

Refer to documentation for structure of 4 byte alert value

Type
number
Required
Format
""
prompt*

Text to display on device. Long text will be scrolled automatically but try to keep it short!

Type
string
Required
btn1Text

Text to display above left(up) arrow button

Type
string
btn2Text

Text to display above right(down) arrow button

Type
string
timeoutS

if non-zero, auto hide message after this many seconds

Type
number
Format
""

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"deviceId": 0,
  
"messageId": 0,
  
"commandType": 0,
  
"created": "string",
  
"sent": "string",
  
"receivedAck": "string",
  
"payload": "string",
  
"response": "string",
  
"id": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/queueRtkCmd_AlertWithPrompt:
    get:
      tags:
        - rtk
      summary: Trigger a prompt now on the device (response sent via MQTT)
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: number
            format: integer
        - name: alertValue
          in: query
          description: Refer to documentation for structure of 4 byte alert value
          required: true
          schema:
            type: number
            format: ''
        - name: prompt
          in: query
          description: Text to display on device. Long text will be scrolled automatically but try to keep it short!
          required: true
          schema:
            type: string
        - name: btn1Text
          in: query
          description: Text to display above left(up) arrow button
          required: false
          schema:
            type: string
        - name: btn2Text
          in: query
          description: Text to display above right(down) arrow button
          required: false
          schema:
            type: string
        - name: timeoutS
          in: query
          description: if non-zero, auto hide message after this many seconds
          required: false
          schema:
            type: number
            format: ''
      responses:
'200':
yaml
          description: Body (JSON)
          content:
            application/json:
              schema:
                properties:
                  deviceId:
                    description: DeviceId recipient
                    type: number
                    format: ''
                  messageId:
                    description: A unique (per device) message ID for the command. If not supplied, a random 32 bit integer will be assigned. Duplicate messageIds will throw an error.
                    type: number
                    format: ''
                  commandType:
                    description: Command number. Currently supported SetUpdateRate = 1,AlertNow = 2,AlertWithPrompt = 3,RestartGps = 4,SetPointBufferMaxSize = 5,PromptAction = 6
                    type: number
                    format: ''
                  created:
                    description: Auto-filled on save, when the command was created in the system
                    type: string
                    format: date-time
                  sent:
                    description: Set to current time when the command is sent to the device. If multiple resends without ACK, it will reflect the latest send.
                    type: string
                    format: date-time
                  receivedAck:
                    description: When the server received ACK from device for this messageId
                    type: string
                    format: date-time
                  payload:
                    description: Associated data for the command
                    type: string
                    format: byte
                  response:
                    description: If the device transmitted a command response with matching messageId, it will be stored here. Mostly this field will be null.
                    type: string
                    format: byte
                  id:
                    type: number
                    format: ''
                required:
                  - deviceId
                  - commandType
                  - created
                type: object
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-devices-id-queueRtkCmd-AlertWithPrompt
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...